PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
PNotifierListTemplate< ParamType >::IsObj Class Reference

`#include <notifier_ext.h>`

Inherits unary_function< PObject, bool >.

Collaboration diagram for PNotifierListTemplate< ParamType >::IsObj:
[legend]

## Public Member Functions
| IsObj (PObject *obj)
bool | operator() (Notifier &test) const

## Public Attributes
PObject * | m_obj

## Constructor & Destructor Documentation

template<typename ParamType>

PNotifierListTemplate< ParamType >::IsObj::IsObj | ( | PObject * | obj | ) |
| inline

## Member Function Documentation

template<typename ParamType>

bool PNotifierListTemplate< ParamType >::IsObj::operator() | ( | Notifier & | test | ) | const
| inline

References PSmartPointer::GetObject(), and PNotifierListTemplate< ParamType >::IsObj::m_obj.

## Member Data Documentation

template<typename ParamType>

PObject* PNotifierListTemplate< ParamType >::IsObj::m_obj

Referenced by PNotifierListTemplate< ParamType >::IsObj::operator()().

The documentation for this class was generated from the following file:

- notifier_ext.h